Add a rule to a firewall
curl --request POST \
--url https://api.vmarea.com/api/v1/api/public/v1/firewalls/{id}/rules \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"position": 500,
"action": "ACCEPT",
"protocol": "TCP",
"port": "<string>",
"sourceIps": [],
"destIps": [],
"description": "<string>"
}
'import requests
url = "https://api.vmarea.com/api/v1/api/public/v1/firewalls/{id}/rules"
payload = {
"position": 500,
"action": "ACCEPT",
"protocol": "TCP",
"port": "<string>",
"sourceIps": [],
"destIps": [],
"description": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
position: 500,
action: 'ACCEPT',
protocol: 'TCP',
port: '<string>',
sourceIps: [],
destIps: [],
description: '<string>'
})
};
fetch('https://api.vmarea.com/api/v1/api/public/v1/firewalls/{id}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"firewallId": "<string>",
"position": 123,
"direction": "IN",
"action": "ACCEPT",
"protocol": "TCP",
"port": "<string>",
"sourceIps": [
"<string>"
],
"destIps": [
"<string>"
],
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Firewalls
Add a rule to a firewall
Creates a rule and re-syncs the security group. The rule is rolled back if the upstream sync fails.
POST
/
api
/
public
/
v1
/
firewalls
/
{id}
/
rules
Add a rule to a firewall
Authorizations
Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.
Path Parameters
Body
application/json
Required range:
0 <= x <= 1000Available options:
IN, OUT Available options:
ACCEPT, DROP, REJECT Available options:
TCP, UDP, ICMP, ESP, GRE, ANY Maximum string length:
64Maximum array length:
50Maximum string length:
64Maximum array length:
50Maximum string length:
64Maximum string length:
255⌘I